Module java.corba
Package org.omg.DynamicAny

## Class DynSequenceHelper

- java.lang.Object
- - org.omg.DynamicAny.DynSequenceHelper

-     public abstract class DynSequenceHelper
      extends Object

  DynSequence objects support the manipulation of IDL sequences.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynSequenceHelper​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DynSequence` | `extract​(Any a)` |
    `static String` | `id​()` |
    `static void` | `insert​(Any a, DynSequence that)` |
    `static DynSequence` | `narrow​(Object obj)` |
    `static DynSequence` | `read​(InputStream istream)` |
    `static TypeCode` | `type​()` |
    `static DynSequence` | `unchecked_narrow​(Object obj)` |
    `static void` | `write​(OutputStream ostream, DynSequence value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynSequenceHelper

          public DynSequenceHelper​()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    DynSequence that)

    - #### extract

          public static DynSequence extract​(Any a)

    - #### type

          public static TypeCode type​()

    - #### id

          public static String id​()

    - #### read

          public static DynSequence read​(InputStream istream)

    - #### write

          public static void write​(OutputStream ostream,
                                   DynSequence value)

    - #### narrow

          public static DynSequence narrow​(Object obj)

    - #### unchecked_narrow

          public static DynSequence unchecked_narrow​(Object obj)